﻿using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win.UltraWinSchedule.DayView;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AppointmentStyles
{
    public partial class Form1 : Form
    {
        private Appointment clickedAppointment = null;

        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("Start", typeof(DateTime));
            dt.Columns.Add("End", typeof(DateTime));
            dt.Columns.Add("Subject", typeof(String));
            dt.Rows.Add(DateTime.Now, DateTime.Now.AddHours(1), "A");
            dt.Rows.Add(DateTime.Now.AddHours(3), DateTime.Now.AddHours(4), "B");

            ultraCalendarInfo1.DataBindingsForAppointments.DataSource = dt;
            ultraCalendarInfo1.DataBindingsForAppointments.StartDateTimeMember = "Start";
            ultraCalendarInfo1.DataBindingsForAppointments.EndDateTimeMember = "End";
            ultraCalendarInfo1.DataBindingsForAppointments.SubjectMember = "Subject";

            ultraDayView1.EnsureTimeSlotVisible(DateTime.Now, true);

            //ultraCalendarLook1.ViewStyle = ViewStyle.Office2007;
            //ultraDayView1.CalendarLook = ultraCalendarLook1;
        }

        private void ultraDayView1_MouseDown(object sender, MouseEventArgs e)
        {
            if(e.Button == MouseButtons.Left)
            clickedAppointment = ultraDayView1.UIElement.ElementFromPoint(ultraDayView1.PointToClient(Cursor.Position)).GetContext(typeof(Appointment), true) as Appointment;
        }

        private void ultraDayView1_MouseMove(object sender, MouseEventArgs e)
        {
            if (clickedAppointment != null && e.Button == MouseButtons.Left)
                ultraCalendarInfo1.SelectedAppointments.Add(clickedAppointment);
        }

        private void ultraDayView1_MouseUp(object sender, MouseEventArgs e)
        {
            clickedAppointment = null;
        }
    }
}
